# video-to-gif
## Usage
```
usage: video_to_gif.py [-h] [-w WIDTH] [-r FRAMERATE]
                       [-s {fast_bilinear,bilinear,bicubic,experimental,neighbor,area,bicublin,gauss,sinc,lanczos,spline}] [-i {none,dup,blend,mci}]
                       [-t TAG]
                       INPUT [INPUT ...]

Use ffmpeg to make GIFs from videos

positional arguments:
  INPUT                 input file, supports passing a glob like /Users/MyName/Videos/*.mov

options:
  -h, --help            show this help message and exit
  -w WIDTH, --width WIDTH
                        width of the GIF in pixels, respecting aspect ratio (default: 960)
  -r FRAMERATE, --framerate FRAMERATE
                        framerate of GIF (default: 12)
  -s {fast_bilinear,bilinear,bicubic,experimental,neighbor,area,bicublin,gauss,sinc,lanczos,spline}, --scaler {fast_bilinear,bilinear,bicubic,experimental,neighbor,area,bicublin,gauss,sinc,lanczos,spline}
                        scaling algorithm to use (default: lanczos)
  -i {none,dup,blend,mci}, --interpolate {none,dup,blend,mci}
                        interpolation method to use (default: none)
  -t TAG, --tag TAG     optional tag included in file name

— Be gay and do crime
```

## Docker
```sh
docker build -t video_to_gif:latest .
docker run --rm -it video_to_gif --help
docker run -it --rm -v "/Users/MyUsername/Movies/:$PWD" video_to_gif $PWD/my_movie.mov
```